# gp_cusage

## GP

## 2000

## NAME

gp_cusage - print codon usage of sequence(s)

## SYNOPSIS

gp_cusage [-c table_file ] [-p] [-q] [-v] [-d] [-h] [-?] [inputfile] [outputfile]

## OPTIONS

-c table_file
  Uses alternate codon table.

-p
  Nicely prints the codon table & exits gracefully.

-v
  Prints the version information.

-d
  Prints lots of debugging information.

-h
  Shows usage information.

inputfile
  file to proces; if not given, will use standard input

outputfile
  file to write the data to; if not given, will use standard output

## DESCRIPTION

gp_cusage sources one or more DNA or RNA sequence files and prints the total percentual frequencies of all codons. The sequences have to begin with a start codon, but if they are incomplete (i.e. end before the stop codon is read) only a warning is issued.

## EXAMPLES

- to print the codon usage of the fasta sequences contained in the file orfs.fasta, type

  `gp_cusage orfs.fasta`

- to print the codon usage of a protein sequence located at genome positions 15843 14602 in the sequence Mpneu.fasta, type

  `getseq 15843 14602 Mpneu.fasta | gp_cusage`

## SEE ALSO

Genpak(1) gp_acc(1) gp_adjust(1) gp_cdndev(1) gp_digest(1) gp_dimer(1) gp_findorf(1) gp_gc(1) gp_getseq(1) gp_map(1) gp_matrix(1) gp_mkmtx(1) gp_pattern(1) gp_primer(1) gp_qs(1) gp_randseq(1) gp_seq2prot(1) gp_slen(1) gp_tm(1) gp_trimer(1)

## DIAGNOSTICS

All Genpak programs complain in situations you would also complain, like when they cannot find a sequence you gave them or the sequence is not valid.

The Genpak programs do not write over existing files. I have found this feature very useful :-)

## BUGS

I'm sure there are plenty left, so please mail me if you find them. I tried to clean up every bug I could find.

## AUTHOR

January Weiner III <january@bioinformatics.org>